#
#  common.tcl (for MT)
#
#  $Id: common.tcl,v 1.17.2.10 2002/03/26 17:29:16 source Exp $
#
#  Common Code
#
#  (C)Copyright 2002 OpenLink Software.
#  All Rights Reserved.
#
#  The copyright above and this notice must be preserved in all
#  copies of this source code.  The copyright above does not
#  evidence any actual or intended publication of this source code.
#
#  This is unpublished proprietary trade secret of OpenLink Software.
#  This source code may not be copied, disclosed, distributed, demonstrated
#  or licensed except as authorized by OpenLink Software.
#

proc productname {nametype} {
    global GlobalProductID
    if {[master GlobalProductID] == "MT"} {
	set shortname "Admin Assistant"
	set longname  "OpenLink Admin Assistant"
    } else {
	set shortname "iODBC Administrator"
	set longname  "HTTP based iODBC Administrator"
    }
    switch $nametype {
	"short"		{return $shortname}
	"version" 	{return "v1.21"}
	"release"	{return "Release 4.2"}
	"copyright" 	{return "Copyright \&copy\; 2002 OpenLink Software"}
	default 	{return $longname}
    }
}

# Return true if this is a Virtuoso product
proc productvirt {} {
    return 0
}

proc TITLE {args} {
    TITLE1 $args
    TITLE2 ""
}

proc TITLE1 {titlestring} {
    html <HTML><HEAD><TITLE>[join $titlestring]</TITLE>\n
}

proc TITLE2 {bodyarg} {
    html </HEAD>\n<BODY BGCOLOR=#FFFFFF TEXT=#000000 LINK=#0000FF VLINK=#0000FF [join $bodyarg]>\n
}

proc HEAD {args} {
    html <CENTER><H2>[join $args]</H2></CENTER><HR/>\n
}

proc SECTION {args} {
    html <H2><FONT COLOR='#0000FF'>[join $args]</FONT></H2>\n
}

proc debug {s} {
    logmsg DEBUG $s
}

proc footer {} {
    html \n<P><HR/><FONT SIZE=2>\nThe [productname long] [productname version] - [productname copyright]\n</FONT></P>\n
}

proc menu_footer {} {
    html \n<P><HR/><FONT SIZE=1>\nThe [productname long] [productname version]<BR/>[productname copyright]\n</FONT></P>\n
}

proc menu_button {} {
    set prev [req header Referer]
    if {![string match "*/scripts/menu/*" [req header Referer]]} {
        set prev /scripts/menu
    }
    html <A HREF="/" target="_top">[productname short] Main Menu</A><BR/>\n
}

proc main_button {} {
    menu_button
    footer
}

# List sort with ignore case (lsort -dictionary)
proc lsort2 {lin} {
    if {[llength $lin] == 0} {
	return $lin
    }
    set i 0
    foreach a $lin {
	# add space so all items get enclosed by curly brace thus removes brace from sort
	lappend lupper [list [string toupper "$a "] $i]
	set i [expr $i +1]
    }
    set slupper [lsort $lupper]
    foreach ai $slupper {
	set i [lindex $ai 1]
	lappend lout [lindex $lin $i]
    }
    return $lout
}

proc dsnwizardtabs {isodbc thistab} {
    global GlobalProductID

    if {!$isodbc || [master GlobalProductID] == "MT"} {
	set is_mt 1
    } else {
	set is_mt 0
    }
    html {
    	<table border="0" cellpadding="0" cellspacing="0">
	<tr valign="bottom">
    }
    html {<td><a href="/scripts/}
    if {$isodbc} {
	html wods
    } else {
	html wds
    }
    html {"><img src="/images/ds0.gif" width="95" height="22" border="0">}
    if {$thistab==1} {
	html {<br/><img src="/images/s95.gif" width="95" height="3" border="0">}
    }
    html </a></td>

    if {$is_mt} {
	html {<td><a href="/scripts/}
	if {$isodbc} {
	    html wost
	} else {
	    html wst
	}
	html {"><img src="/images/st0.gif" width="95" height="22" border="0">}
	if {$thistab==2} {
	    html {<br/><img src="/images/s95.gif" width="95" height="3" border="0">}
	}
	html </a></td>

	html {<td><a href="/scripts/}
	if {$isodbc} {
	    html woco
	} else {
	    html wco
	}
	html {"><img src="/images/co0.gif" width="110" height="22" border="0">}
	if {$thistab==3} {
	    html {<br/><img src="/images/s110.gif" width="110" height="3" border="0">}
	}
	html </a></td>
    }
    html {<td><a href="/scripts/}
    if {$isodbc} {
	html {wod"><img src="/images/od0}
    } else {
	html {wud"><img src="/images/ud0}
    }
    html {.gif" width="50" height="22" border="0">}
    if {$thistab==4} {
	html {<br/><img src="/images/s50.gif" width="50" height="3" border="0">}
    }
    html </a></td>

    html {<td><a href="/}
    if {$isodbc} {
	html woab
    } else {
	html wuab
    }
    html {.html"><img src="/images/ab0.gif" width="50" height="22" border="0">}
    if {$thistab==5} {
	html {<br/><img src="/images/s50.gif" width="50" height="3" border="0">}
    }
    html {</a></td>
    </tr>
    <tr>
    <td>}
    if {$thistab!=1} {
	html <img src="/images/b95.gif" width="95" height="1">
    }
    html </td>
    if {$is_mt} {
	html <td>
	if {$thistab!=2} {
	    html <img src="/images/b95.gif" width="95" height="1">
	}
	html </td><td>
	if {$thistab!=3} {
	    html <img src="/images/b110.gif" width="110" height="1">
	}
	html </td>
    }
    html <td>
    if {$thistab!=4} {
	html <img src="/images/b50.gif" width="50" height="1">
    }
    html </td><td>
    if {$thistab!=5} {
	html <img src="/images/b50.gif" width="50" height="1">
    }
    html {</td></tr></table>}
}
